- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# OpenMesh::Decimater::ModQuadricT< DecimaterType > Class Template Reference

Mesh decimation module computing collapse priority based on error quadrics. More...

`#include <ModQuadricT.hh>`

Inheritance diagram for OpenMesh::Decimater::ModQuadricT< DecimaterType >:

List of all members.

## Public Member Functions
| ModQuadricT (DecimaterType &_dec)
| Constructor.
virtual | ~ModQuadricT ()
| Destructor.
virtual void | initialize (void)
| Initalize the module and prepare the mesh for decimation.
virtual float | collapse_priority (const CollapseInfo &_ci)
| Compute collapse priority based on error quadrics.
virtual void | postprocess_collapse (const CollapseInfo &_ci)
| Post-process halfedge collapse (accumulate quadrics).
void | set_max_err (double _err, bool _binary=true)
| Set maximum quadric error constraint and enable binary mode.
void | unset_max_err (void)
| Unset maximum quadric error constraint and restore non-binary mode.
double | max_err () const
| Return value of max. allowed error.

## Detailed Description

### template<class DecimaterType>
class OpenMesh::Decimater::ModQuadricT< DecimaterType >

Mesh decimation module computing collapse priority based on error quadrics.

This module can be used as a binary and non-binary module.

## Constructor & Destructor Documentation

template<class DecimaterType>

OpenMesh::Decimater::ModQuadricT< DecimaterType >::ModQuadricT | ( | DecimaterType & | _dec | ) | `[inline]`

Constructor.

For internal use only.

## Member Function Documentation

template<class DecimaterType>

virtual float OpenMesh::Decimater::ModQuadricT< DecimaterType >::collapse_priority | ( | const CollapseInfo & | _ci | ) | `[inline, virtual]`

Compute collapse priority based on error quadrics.

See also:
  ModBaseT::collapse_priority() for return values

  set_max_err()

template<class DecimaterType>

void OpenMesh::Decimater::ModQuadricT< DecimaterType >::set_max_err | ( | double | _err,
|  | bool | _binary = `true` |
| ) |  |  | `[inline]`

Set maximum quadric error constraint and enable binary mode.

Parameters:

  | _err | Maximum error allowed
  | _binary | Let the module work in non-binary mode in spite of the enabled constraint.

See also:
  unset_max_err()

template<class DecimaterType>

void OpenMesh::Decimater::ModQuadricT< DecimaterType >::unset_max_err | ( | void |  | ) | `[inline]`

Unset maximum quadric error constraint and restore non-binary mode.

See also:
  set_max_err()

The documentation for this class was generated from the following files:

- Tools/Decimater/ModQuadricT.hh
- Tools/Decimater/ModQuadricT.cc